--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: lambda
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: This condition degrades its interval by a factor of two for 3 tries before failing
constants: []

full_name: God::Conditions::DegradingLambda
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: test
- !ruby/object:RI::MethodSummary 
  name: valid?
name: DegradingLambda
superclass: PollCondition
